2.7.5 to 2.8.27 upgrade instructions

All about webserver configurations, PHP and databases.

Moderator: Thorsten

Post Reply
rschell6809
Posts: 1
Joined: Fri May 13, 2016 4:52 pm

2.7.5 to 2.8.27 upgrade instructions

Post by rschell6809 » Fri May 13, 2016 5:22 pm

Hello all,

i tried to upgrade from 2.7.5 to 2.8.27 according to instructions on http://www.phpmyfaq.de/docs/2.8#3.3.
Did the folowing:

copied these files from the new, unpacked version (2.8.27)
./install/update.php
./install/setup.php
./inc/Bootstrap.php
./inc/PMF (whole directory)
./inc/libs/Symfony (whole directory)
- copied ./config/ldap.php.original to ./config/ldap.php (ldap settings are empty, so no worries)
- deleted
rm -rf admin
rm -rf feed
rm -rf font/
rm -rf inc/
rm -rf scripts/
- copied
update.php
setup.php
admin directory
feed directory
complete inc directory
then did upgrade
pointed browser to update.php to update

Now the upgrade procedure says:
Choose your installed phpMyFAQ version and click the button of the update script, your version will automatically be updated. You have to update a lot of your template files due to our change using the Bootstrap framework.
i wasn't able to *choose* which version i was upgrading. I clicked on "step 2 of 3". Had to change ownership of config directory to apache.apache, otherwise it wouldn't backup database.php
it then went without a problem.

After that i clicked on "step 3 of 3" and it too went very quickly and reported that my database had been upgraded. I saw no download of files or install of any files either.

The instructions then say:
You have to move your template files to the directory assets/template/. The default layout is be stored in the folder assets/template/default/.
*this directory* was not present on my machine.

I think something went wrong here. the end result in the browser did not look any different from the 2.7.5 version although the version number had been bumped to 2.8.27
Questions:
- is the upgrade documentation accurate?
- are the ownership permissions of the config directory correct (originally they were root.root) ?
- do you see something wrong in the procedure i have followed?

Let me know how I can further troubleshoot this issue.

Kind regards
Ralph Schell

Thorsten
Posts: 14486
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: 2.7.5 to 2.8.27 upgrade instructions

Post by Thorsten » Fri May 13, 2016 7:50 pm

Hi,
rschell6809 wrote: I think something went wrong here. the end result in the browser did not look any different from the 2.7.5 version although the version number had been bumped to 2.8.27
So, it uses the old templates? That's okay if everything is still working but I guess you have to change some JS code.
rschell6809 wrote: - is the upgrade documentation accurate?
I hope so.
rschell6809 wrote: - are the ownership permissions of the config directory correct (originally they were root.root) ?
yes, root is always wrong.
rschell6809 wrote: - do you see something wrong in the procedure i have followed?
No, I updated a lot of FAQs following the instructions of the documentation.

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest